Page MenuHomePhabricator

Allow elasticsearch machines to communicate with each others on port 9500 and 9700
Closed, ResolvedPublic

Description

Currently only machines within the same cluster can communicate with each others, problem is that with cross cluster search we want node1 to open node2 on port 9700 even if node node1 is not on the cluster responsible for 9700.

Current behavior:

  • from elastic2042: curl elastic2027.codfw.wmnet:9700 => DENIED
  • from elastic2042: curl elastic2027.codfw.wmnet:9600 => OK
  • from elastic2042: curl elastic2027.codfw.wmnet:9643 => OK
  • from elastic2027: curl elastic2042.codfw.wmnet:9500 => DENIED
  • from elastic2027: curl elastic2042.codfw.wmnet:9400 => OK
  • from elastic2027: curl elastic2042.codfw.wmnet:9443 => OK

Expected behavior:

connection opens on all these ports

Same problem is present on eqiad.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2018, 5:32 PM
dcausse triaged this task as Medium priority.Dec 20 2018, 5:32 PM
dcausse moved this task from needs triage to Current work on the Discovery-Search board.
dcausse added a subscriber: Mathew.onipe.
dcausse updated the task description. (Show Details)Dec 20 2018, 5:38 PM
dcausse updated the task description. (Show Details)Dec 20 2018, 5:43 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptDec 21 2018, 8:00 AM

Change 481125 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] elasticsearch: allow cross cluster communication

https://gerrit.wikimedia.org/r/481125

Change 481125 merged by Gehel:
[operations/puppet@production] elasticsearch: allow cross cluster communication

https://gerrit.wikimedia.org/r/481125

debt closed this task as Resolved.Jan 14 2019, 11:45 PM